public static interface LdapEndpointBuilderFactory.LdapBuilders
| Modifier and Type | Method and Description |
|---|---|
default LdapEndpointBuilderFactory.LdapEndpointBuilder |
ldap(String path)
LDAP (camel-ldap)
Perform searches on LDAP servers.
|
default LdapEndpointBuilderFactory.LdapEndpointBuilder |
ldap(String componentName,
String path)
LDAP (camel-ldap)
Perform searches on LDAP servers.
|
default LdapEndpointBuilderFactory.LdapEndpointBuilder ldap(String path)
ldap:dirContextName
Path parameter: dirContextName (required)
Name of either a javax.naming.directory.DirContext, or
java.util.Hashtable, or Map bean to lookup in the registry. If the
bean is either a Hashtable or Map then a new
javax.naming.directory.DirContext instance is created for each use.
If the bean is a javax.naming.directory.DirContext then the bean is
used as given. The latter may not be possible in all situations where
the javax.naming.directory.DirContext must not be shared, and in
those situations it can be better to use java.util.Hashtable or Map
instead.path - dirContextNamedefault LdapEndpointBuilderFactory.LdapEndpointBuilder ldap(String componentName, String path)
ldap:dirContextName
Path parameter: dirContextName (required)
Name of either a javax.naming.directory.DirContext, or
java.util.Hashtable, or Map bean to lookup in the registry. If the
bean is either a Hashtable or Map then a new
javax.naming.directory.DirContext instance is created for each use.
If the bean is a javax.naming.directory.DirContext then the bean is
used as given. The latter may not be possible in all situations where
the javax.naming.directory.DirContext must not be shared, and in
those situations it can be better to use java.util.Hashtable or Map
instead.componentName - to use a custom component name for the endpoint
instead of the default namepath - dirContextNameApache Camel